diff options
author | Andrey A. Chernov <ache@FreeBSD.org> | 2001-10-29 20:05:37 +0000 |
---|---|---|
committer | Andrey A. Chernov <ache@FreeBSD.org> | 2001-10-29 20:05:37 +0000 |
commit | 32be33fe8b14cc2323a5daf2d3680802ef30f458 (patch) | |
tree | 5316be43a2fe8c4434430d60c6f0fc2945f5e908 /www/apache2/pkg-install | |
parent | 7c7fe1cb61e1d7913354b54f8dce78fd93534883 (diff) |
Notes
Diffstat (limited to 'www/apache2/pkg-install')
-rw-r--r-- | www/apache2/pkg-install | 35 |
1 files changed, 35 insertions, 0 deletions
diff --git a/www/apache2/pkg-install b/www/apache2/pkg-install new file mode 100644 index 000000000000..e6f436365b6b --- /dev/null +++ b/www/apache2/pkg-install @@ -0,0 +1,35 @@ +#!/bin/sh +# $FreeBSD: /tmp/pcvs/ports/www/apache2/Attic/pkg-install,v 1.3 2001-10-29 20:05:37 ache Exp $ +# + +if [ "$2" != "PRE-INSTALL" ]; then + exit 0 +fi + +USER=www +GROUP=${USER} +UID=80 +GID=${UID} + +if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then + if pw groupadd ${GROUP} -g ${GID}; then + echo "Added group \"${GROUP}\"." + else + echo "Adding group \"${GROUP}\" failed..." + exit 1 + fi +fi + +if ! pw usershow "${USER}" 2>/dev/null 1>&2; then + if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \ + -s "/sbin/nologin" -d "/nonexistent" \ + -c "World Wide Web Owner"; \ + then + echo "Added user \"${USER}\"." + else + echo "Adding user \"${USER}\" failed..." + exit 1 + fi +fi + +exit 0 |